release 0.97
Closed, ResolvedPublic

Description

Current content:
New activities:

programming maze
baby tangram (split from the tangram activity)

New features, changes and bugfixes:

new sub-categories to organize activities
new background music feature and audio tracks
new volume settings for audio effects
new speed setting in several activities (gletters, algebra, readingh, note_names)
new feature in chess activities to display captured pieces
new option to go to next level manually in drawletters and drawnumbers
new voices for en_US
new images for colors activity
new images for advanced_colors activity
new images for target activity
improve settings layout
improve share activity layout
improve categorisation activity layout
resource files are now stored in KDE server (https://cdn.kde.org/)
add screenshots for fdroid
add a tutorial to even/odd numbers
add intro to piano_composition
add malayalam dataset to gletters
add breton dataset to wordsgame
fix voices not playing in geography
fix sounds not playing in mining
fix portrait mode in binary_bulb
fix high cpu load in menu
fix hint image size in photo_hunter
fix layout in color_mix
and many little fixes and improvements

todo

Do not forget to update the Changelog.qml class before doing the string freeze! done

Add new activity images on the website
Ask for https://l10n.kde.org/stats/gui/trunk-kf5/po/org.kde.gcompris.appdata.po/ and https://l10n.kde.org/stats/gui/trunk-kf5/po/desktop_extragear-edu_gcompris.po/ translations
jjazeix created this task.Oct 27 2019, 2:52 PM
timotheegiet updated the task description. (Show Details)Oct 27 2019, 3:22 PM
timotheegiet added a subscriber: timotheegiet.
timotheegiet updated the task description. (Show Details)Oct 27 2019, 4:03 PM
timotheegiet updated the task description. (Show Details)
timotheegiet updated the task description. (Show Details)Oct 30 2019, 9:49 PM
jjazeix moved this task from Backlog to WIP on the GCompris board.Nov 3 2019, 1:42 PM
timotheegiet updated the task description. (Show Details)Nov 5 2019, 8:02 PM
timotheegiet updated the task description. (Show Details)Nov 6 2019, 12:57 PM
timotheegiet updated the task description. (Show Details)Nov 6 2019, 1:17 PM
timotheegiet updated the task description. (Show Details)Nov 6 2019, 1:23 PM
timotheegiet updated the task description. (Show Details)Nov 6 2019, 1:36 PM
timotheegiet updated the task description. (Show Details)Nov 6 2019, 1:39 PM
timotheegiet closed this task as Resolved.Sun, Dec 1, 9:40 PM
timotheegiet claimed this task.

Release published and announced :)